jQuery(function($) {
    var defender = {
        init: function() {
            this.binds();
            
        },
        binds: function() {
            $('#add_country, #remove_country').on('click', function() {
                var add       = this.id == 'add_country',
                    whitelist = $('#whitelist'),
                    blacklist = $('#blacklist');
                
                if (add) {
                    whitelist.find('option:selected').prop('selected', false).appendTo(blacklist);
                    var options = blacklist.find('option').get();
                    options.sort(function(a,b) {
                        return $(a).data('idx') > $(b).data('idx') ? 1 : -1;
                    });
                    $.each(options, function() {
                        $(this).appendTo(blacklist);
                    });
                }else{
                    blacklist.find('option:selected').prop('selected', false).appendTo(whitelist);
                    var options = whitelist.find('option').get();
                    options.sort(function(a,b) {
                        return $(a).data('idx') > $(b).data('idx') ? 1 : -1;
                    });
                    $.each(options, function() {
                        $(this).appendTo(whitelist);
                    });
                }
                $('#blacklisted').val(function() {
                    var arr = [];
                    blacklist.find('option').each(function(i,ele) {
                        arr.push(ele.value);
                    });
                    return arr.join(',');
                });
            });
            
        }
    }
    
    defender.init();
});